Journal Note pour plus tard : éviter cygwin avec autoconf/make

Posté par (page perso) .
Tags : aucun
0
22
oct.
2002
Sale journée de prise de tête. Fait trop chaud dans ce foutu bureau.
J'ai installé cygwin complet sur ma machine. Bien sûr il manquait des répertoires. Mozilla 1.2 grand bêta à un coup dans l'aile et ne télécharge plus de fichiers. Je les récupère au compte goute avec IE.
J'installe le bouzin (1/2 journée ...)
Je m'écris trois scripts : impossible de les faire marcher.
après une heure de gogole, je fais le script chmod suivant (attention, gruiiik mode) :
<code>
$ cat `which chmod`
#!/bin/bash
ARGS=$*
for f in $ARGS
do
if [ -f $f ]
then
setfacl -f ~/etc/rwxacl $f
fi
done
</code>
avec rwxacl qui fait :
<code>
$ cat ~/etc/rwxacl
# file: /bin/ls
# owner: Administrateurs
# group: Aucun
user::rwx
group::rwx
mask::---
other::rwx
</code>

bon, ça à l'air de marchotter ...

autoconf, libtool and co => ok
./configure veut savoir si il arrive à exécuter un truc
gcc sort un a.exe avec les mauvais droits
en touillant le configure à la main :
<code>
# Check the compiler produces executables we can run. If not, either
# the compiler is broken, or we cross compile.
echo "$as_me:1885: checking whether the C compiler works" >&5
echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
# If not cross compiling, check that we can run a simple program.
echo
echo @@@@@@@@@@@@@@@@@@
echo ac_file is $ac_file
echo @@@@@@@@@@@@@@@@@@
chmod $ac_file
if test "$cross_compiling" != yes; then
if { ac_try='./$ac_file'
{ (eval echo "$as_me:1891: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1894: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
cross_compiling=no
else
if test "$cross_compiling" = maybe; then
cross_compiling=yes
else
{ { echo "$as_me:1901: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&5
echo "$as_me: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&2;}
{ (exit 1); exit 1; }; }
fi
fi
fi
</code>
mais c'est sale sale.
Aujourd'hui j'ai fait du sale.
Et au prochain autoconf je l'ai dans l'os.

Merci journal de me soutenir dans ce momment de grande détresse ...
  • # Re: Note pour plus tard : éviter cygwin avec autoconf/make

    Posté par . Évalué à 1.

    Si ça continue avec les journaux longs, je poste mon dmesg !
    D'ailleurs, je le fais séant, na !

    ---------------

    yaourt% dmesg
    OpenBSD 3.1-current (YAOURT) #102: Thu Jul 18 14:06:07 CEST 2002
    jyb@yaourt:/usr/src/sys/arch/i386/compile/YAOURT
    cpu0: AMD Athlon Model 2 ("AuthenticAMD" 686-class) 699 MHz
    cpu0: FPU,V86,DE,PSE,TSC,MSR,PAE,MCE,CX8,SYS,MTRR,PGE,MCA,CMOV,PAT,PSE36,MMX,FXSR
    real mem = 536391680 (523820K)
    avail mem = 494223360 (482640K)
    using 4278 buffers containing 26923008 bytes (26292K) of memory
    mainbus0 (root)
    bios0 at mainbus0: AT/286+(ad) BIOS, date 04/25/00, BIOS32 rev. 0 @ 0xfb390
    apm0 at bios0: Power Management spec V1.2
    apm0: AC on, battery charge unknown
    pcibios0 at bios0: rev. 2.1 @ 0xf0000/0xb810
    pcibios0: config mechanism [1][x], special cycles [1][x], last bus 1
    pcibios0: PCI IRQ Routing Table rev. 1.0 @ 0xfde60/144 (7 entries)
    pcibios0: PCI Exclusive IRQs: 5 10 11 12
    PIR Entry 0:
    Bus: 0 Device: 8
    INTA: link 0x01 bitmap 0xdeb8
    INTB: link 0x02 bitmap 0xdeb8
    INTC: link 0x03 bitmap 0xdeb8
    INTD: link 0x04 bitmap 0xdeb8
    PIR Entry 1:
    Bus: 0 Device: 9
    INTA: link 0x02 bitmap 0xdeb8
    INTB: link 0x03 bitmap 0xdeb8
    INTC: link 0x04 bitmap 0xdeb8
    INTD: link 0x01 bitmap 0xdeb8
    PIR Entry 2:
    Bus: 0 Device: 10
    INTA: link 0x03 bitmap 0xdeb8
    INTB: link 0x04 bitmap 0xdeb8
    INTC: link 0x01 bitmap 0xdeb8
    INTD: link 0x02 bitmap 0xdeb8
    PIR Entry 3:
    Bus: 0 Device: 11
    INTA: link 0x04 bitmap 0xdeb8
    INTB: link 0x01 bitmap 0xdeb8
    INTC: link 0x02 bitmap 0xdeb8
    INTD: link 0x03 bitmap 0xdeb8
    PIR Entry 4:
    Bus: 0 Device: 12
    INTA: link 0x01 bitmap 0xdeb8
    INTB: link 0x02 bitmap 0xdeb8
    INTC: link 0x03 bitmap 0xdeb8
    INTD: link 0x04 bitmap 0xdeb8
    PIR Entry 5:
    Bus: 0 Device: 7
    INTA: link 0x01 bitmap 0xdeb8
    INTB: link 0x02 bitmap 0xdeb8
    INTC: link 0x03 bitmap 0xdeb8
    INTD: link 0x04 bitmap 0xdeb8
    PIR Entry 6:
    Bus: 0 Device: 1
    INTA: link 0x01 bitmap 0xdeb8
    INTB: link 0x02 bitmap 0xdeb8
    INTC: link 0x03 bitmap 0xdeb8
    INTD: link 0x04 bitmap 0xdeb8
    pcibios0: PCI Interrupt Router at 000:07:0 ("AMD 756 Power Mgmt" rev 0x00)
    pciintr_link_fixup: PIRQ 0x00 is already connected to IRQ 12
    pciintr_link_fixup: PIRQ 0x01 is already connected to IRQ 10
    pciintr_link_fixup: PIRQ 0x02 is already connected to IRQ 11
    pciintr_link_fixup: PIRQ 0x03 is already connected to IRQ 5
    pciintr_link_fixup: piirq 0x1c20
    PCI bridge 0: primary 0, secondary 1, subordinate 1
    pcibios0: PCI bus #1 is the last bus
    [System BIOS Setting]-----------------------
    device vendor product
    register space address size
    --------------------------------------------
    000:00:0 1022:7006
    10h mem 0xd8000000 0x04000000
    14h mem 0xe3009000 0x00001000
    18h port 0x0000e000 0x00000004
    [OK]
    000:01:0 1022:7007
    [OK]
    000:07:0 1022:7408
    [OK]
    000:07:1 1022:7409
    20h port 0x0000f000 0x00000010
    [OK]
    000:07:3 1022:740b
    [OK]
    000:07:4 1022:740c
    10h mem 0xe300c000 0x00001000
    [OK]
    000:08:0 1106:3043
    10h port 0x0000e400 0x00000080
    14h mem 0xe3008000 0x00000080
    [OK]
    000:09:0 109e:036e
    10h mem 0xe300a000 0x00001000
    [OK]
    000:09:1 109e:0878
    10h mem 0xe300b000 0x00001000
    [OK]
    000:10:0 1073:0010
    10h mem 0xe3000000 0x00008000
    14h port 0x0000e800 0x00000040
    18h port 0x0000ec00 0x00000004
    [OK]
    001:05:0 1002:5246
    10h mem 0xdc000000 0x04000000
    14h port 0x0000d000 0x00000100
    18h mem 0xe1000000 0x00004000
    [OK]
    --------------------------[ 0 devices bogus]
    Physical memory end: 0x1ffee000
    PCI memory mapped I/O space start: 0x20000000
    bios0: ROM list: 0xc0000/0x8000
    pci0 at mainbus0 bus 0: configuration mode 1 (no bios)
    pchb0 at pci0 dev 0 function 0 "AMD 751 System Controller" rev 0x23
    ppb0 at pci0 dev 1 function 0 "AMD 751 PCI-PCI" rev 0x01
    pci1 at ppb0 bus 1
    vga1 at pci1 dev 5 function 0 "ATI Rage Magnum" rev 0x00
    wsdisplay0 at vga1: console (80x25, vt100 emulation)
    wsdisplay0: screen 1-5 added (80x25, vt100 emulation)
    pcib0 at pci0 dev 7 function 0 "AMD 756 PCI-ISA" rev 0x01
    pciide0 at pci0 dev 7 function 1 "AMD 756 IDE" rev 0x03: DMA, channel 0 configured to compatibility, channel 1 configured to compatibility
    wd0 at pciide0 channel 0 drive 0: <WDC>
    wd0: 16-sector PIO, LBA, 19574MB, 16383 cyl, 16 head, 63 sec, 40088160 sectors
    wd0(pciide0:0:0): using PIO mode 4, Ultra-DMA mode 4
    atapiscsi0 at pciide0 channel 1 drive 0
    scsibus0 at atapiscsi0: 2 targets
    cd0 at scsibus0 targ 0 lun 0: <PLEXTOR,> SCSI0 5/cdrom removable
    atapiscsi1 at pciide0 channel 1 drive 1
    scsibus1 at atapiscsi1: 2 targets
    cd1 at scsibus1 targ 0 lun 0: <PIONEER,> SCSI0 5/cdrom removable
    cd0(pciide0:1:0): using PIO mode 4, Ultra-DMA mode 2
    cd1(pciide0:1:1): using PIO mode 4, Ultra-DMA mode 2
    "AMD 756 Power Mgmt" rev 0x03 at pci0 dev 7 function 3 not configured
    ohci0 at pci0 dev 7 function 4 "AMD 756 USB Host" rev 0x060:7:4 1022:740c pin D clink 0x03 irq 5 stage 0 WARNING: preserving irq 5
    pci_intr_route_link: route PIRQ 0x03 -> IRQ 5 preserved BIOS setting
    : irq 5, OHCI version 1.0, legacy support
    usb0 at ohci0: USB revision 1.0
    uhub0 at usb0
    uhub0: vendor 0x0000 OHCI root hub, class 9/0, rev 1.00/1.00, addr 1
    uhub0: 4 ports with 4 removable, self powered
    vr0 at pci0 dev 8 function 0 "VIA Rhine/RhineII" rev 0x060:8:0 1106:3043 pin A clink 0x00 irq 12 stage 0 WARNING: preserving irq 12
    pci_intr_route_link: route PIRQ 0x00 -> IRQ 12 preserved BIOS setting
    : irq 12 address 00:50:ba:c4:0a:61
    amphy0 at vr0 phy 8: Am79C873 10/100 media interface, rev. 0
    bktr0 at pci0 dev 9 function 0 "Brooktree BT878" rev 0x110:9:0 109e:036e pin A clink 0x01 irq 10 stage 0 WARNING: preserving irq 10
    pci_intr_route_link: route PIRQ 0x01 -> IRQ 10 preserved BIOS setting
    : irq 10
    bktr0: Hauppauge Model 61326 D309
    bktr0: Detected a MSP3415D-B3 at 0x80
    bktr0: Hauppauge WinCast/TV, Philips SECAM tuner, msp3400c stereo, remote control.
    "Brooktree BT878 Audio" rev 0x11 at pci0 dev 9 function 1 not configured
    yds0 at pci0 dev 10 function 0 "Yamaha 744" rev 0x020:10:0 1073:0010 pin A clink 0x02 irq 11 stage 0 WARNING: preserving irq 11
    pci_intr_route_link: route PIRQ 0x02 -> IRQ 11 preserved BIOS setting
    : irq 11
    ac97: codec id 0x83847608 (SigmaTel STAC9708/11)
    ac97: codec features 18 bit DAC, 18 bit ADC, SigmaTel 3D
    audio0 at yds0
    pci_intr_post_fixup: PCI IRQs: 12 10 11 5; ISA IRQs: 0 1 2 3 4 6 7 8 9 13 14 15
    isa0 at pcib0
    isadma0 at isa0
    pckbc0 at isa0 port 0x60/5
    pckbd0 at pckbc0 (kbd slot)
    pckbc0: using irq 1 for kbd slot
    wskbd0 at pckbd0: console keyboard, using wsdisplay0
    pcppi0 at isa0 port 0x61
    spkr0 at pcppi0
    midi0 at pcppi0: <PC>
    sysbeep0 at pcppi0
    lpt0 at isa0 port 0x378/4 irq 7
    npx0 at isa0 port 0xf0/16: using exception 16
    pccom0 at isa0 port 0x3f8/8 irq 4: ns16550a, 16 byte fifo
    pccom1 at isa0 port 0x2f8/8 irq 3: ns16550a, 16 byte fifo
    fdc0 at isa0 port 0x3f0/6 irq 6 drq 2
    fd0 at fdc0 drive 0: 1.44MB 80 cyl, 2 head, 18 sec
    opl0 at yds0: model OPL3
    midi1 at opl0: <DS-1>
    mpu at yds0 not configured
    mpu at yds0 not configured
    mpu at yds0 not configured
    mpu at yds0 not configured
    biomask c460 netmask d460 ttymask d4e2
    pctr: user-level cycle counter enabled
    mtrr: Pentium Pro MTRR support
    dkcsum: wd0 matched BIOS disk 80
    root on wd0a
    rootdev=0x0 rrootdev=0x300 rawdev=0x302
    WARNING: / was not properly unmounted
    ugen0 at uhub0 port 1
    ugen0: ALCATEL Speed Touch USB, rev 1.10/0.00, addr 2
    uhub1 at uhub0 port 2
    uhub1: Texas Instruments TUSB2046 hub, class 9/0, rev 1.10/1.25, addr 3
    uhub1: 4 ports with 4 removable, bus powered
    uhidev0 at uhub1 port 1 configuration 1 interface 0
    uhidev0: Microsoft Microsoft IntelliMouse\M-. Explorer, rev 1.10/1.03, addr 4, iclass 3/1
    ums0 at uhidev0: 5 buttons and Z dir.
    wsmouse0 at ums0 mux 0
  • # Re: Note pour plus tard : éviter cygwin avec autoconf/make

    Posté par (page perso) . Évalué à 1.

    Pour des infos vraiment très n'intéressantes sur setfacl :
    http://cygwin.com/cygwin-ug-net/using-utils.html(...)

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.